#ifndef INCLUDE_MODULE_SYSTEM_H
#define INCLUDE_MODULE_SYSTEM_H
/* ----------------------------------------------------------------------------
 * module_system.h
 * prototypes and definitions for general system functions.
 *
 * Copyright 2002-2005 Matthias Grimm
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version
 * 2 of the License, or (at your option) any later version.
 * ----------------------------------------------------------------------------*/

#include <pbbtaglist.h>

#define RESCANTIME	5	  /* in seconds */

/* public prototypes */
int system_init ();
int system_open (struct tagitem *taglist);
int system_close ();
int system_exit ();

/* private prototypes */
void system_configure (struct tagitem *taglist);
void system_query (struct tagitem *taglist);
void system_handle_tags (int cfgure, struct tagitem *taglist);
void system_timer1000 (struct tagitem *taglist);
void system_config_writable (char *configreadfile, char *configwritefile);

#endif    /* INCLUDE_MODULE_SYSTEM_H */
